GET
/
api
/
v1
/
rooms
/
{room_id}
/
meter-readings
List room meter readings
curl --request GET \
  --url http://127.0.0.1:8080/api/v1/rooms/{room_id}/meter-readings
{
  "meter_readings": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "period": "<string>",
      "recorded_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "electricity_previous": 123,
      "electricity_current": 123,
      "water_previous": 123,
      "water_current": 123,
      "recorded_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Path Parameters

room_id
string<uuid>
required

Room ID

Query Parameters

period
string

Optional billing period in YYYY-MM

Response

200 - application/json

Meter readings for room

meter_readings
object[]
required